Subject: bug#42269: Remove non-GMP code from coreutils factor.c

From: [email-masked] (Niels Möller)
Date: Wed, 08 Jul 2020 22:51:32 +0200

[email-masked] (Torbjörn Granlund) writes:

> If any code is to be removed, then that would be the GMP code of
> coreutils factor.

I agree with Torbjörn. The GMP code in GNU factor might have made more
sense when most computers were 32-bit, and "bignums" were smaller.

But on 64-bit computers, the GMP code would be used only for numbers
above 127 bits. I'm really not that familiar with state of the art
factoring, but I'd guess pollard rho is a bad algorithm choice for that
range, and one ought to use, e.g., some variant of the quadratic sieve.

Regards,
/Niels

-- 
Niels Möller. PGP-encrypted email is preferred. Keyid 368C6677.
Internet email is subject to wholesale government surveillance.